/v2/helplines/{helplineId}
1 min
GET
https://api.throughlinecare.com/v2/helplines/{helplineId}
Path Parameters
- helplineIdstringrequiredDescription
Responses
200
- objectDescription
- helplineHelplineDescription
- idstringrequiredExampleDescription
- namestringrequiredExampleDescription
- descriptionsDescription[]Description
- languagestringrequiredExampleDescription
- fullDescriptionstringrequiredDescription
- shortDescriptionstringDescription
- websitestring<uri>ExampleDescriptionFormaturi
- countryobjectrequired
- Country
- namestringrequiredExampleDescription
- codestringrequiredExampleDescription
- emergencyNumberstringExampleDescription
- timezonestringrequiredExampleDescription
- primaryTopicsstring[]requiredDescription
- secondaryTopicsstring[]requiredDescription
- supportedLanguagesstring[]requiredExample
[ "en", "es", "fr" ]
Description - specialtiesstring[]requiredDescription
- supportTypesstring[]Description
- interpretationServiceProvidedbooleanrequiredDescription
- membershipOrganizationsstring[]requiredDescription
- contactMethodsContactMethod[]requiredDescription
- typestring<phone | sms | onlineChat | whatsapp | tty | reportingForm>requiredExampleDescriptionAllowedphonesmsonlineChatwhatsappttyreportingForm
- valuestringrequiredExampleDescription
- accessibilityNotesstringDescription
- alwaysOpenbooleanrequiredDescription
- openingHoursOpeningSpan[]requiredDescription
- localDayOfWeekstring<monday | tuesday | wednesday | thursday | friday | saturday | sunday>requiredExampleDescriptionAllowedmondaytuesdaywednesdaythursdayfridaysaturdaysunday
- openstring<date-time>requiredExampleDescriptionFormatdate-time
- closestring<date-time>requiredExampleDescriptionFormatdate-time
400
403
404
javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.throughlinecare.com/v2/helplines/{helplineId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.throughlinecare.com/v2/helplines/{helplineId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.throughlinecare.com/v2/helplines/{helplineId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("https://api.throughlinecare.com/v2/helplines/{helplineId}")
.method("GET", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();swift
var request = URLRequest(url: URL(string: "https://api.throughlinecare.com/v2/helplines/{helplineId}")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "accept")
request.addValue("application/json", forHTTPHeaderField: "content-type")
request.httpMethod = "GET"
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
200
// Returns the helpline matching the unique identifier.
{
"helpline": {
"id": "crisis-text-line",
"name": "Crisis Text Line",
"descriptions": [
{
"language": "en",
"fullDescription": "",
"shortDescription": ""
}
],
"website": "https://www.crisistextline.org/",
"country": {},
"timezone": "America/Los_Angeles",
"primaryTopics": [
""
],
"secondaryTopics": [
""
],
"supportedLanguages": [
""
],
"specialties": [
""
],
"supportTypes": [
""
],
"interpretationServiceProvided": false,
"membershipOrganizations": [
""
],
"contactMethods": [
{
"type": "phone",
"value": "1-800-273-8255",
"accessibilityNotes": "",
"alwaysOpen": false,
"openingHours": [
{
"localDayOfWeek": "monday",
"open": "2026-04-13T09:00:00+12:00",
"close": "2026-04-13T17:00:00+12:00"
}
]
}
]
}
}400
// Unique identifier is missing
403
// The helpline does support any of the permitted countries or topics for the application.
404
// Helpline not found